<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@page import="java.util.ArrayList"%>

<html>
<jsp:include page="../fragments/header.jsp" />
<body>
	<div class="container">
		<jsp:include page="../fragments/mainmenu.jsp" />
		<spring:url value="/admin/ip/results" var="ipquery" />
		<spring:url value="/admin/ip/counts/results?JobCounter=${counter}" var="the_query"/>

		<!-- reload and CSV buttons  -->
		<ul class="nav navbar-nav navbar-right">
			<li>
			<a href="${the_query}" class="btn btn-default active">Reload</a>
			</li>
			<c:choose><c:when test="${csvfile != ''}">
			<li>
			<a id="forCSVfile" download="data.csv" href="data:application/csv;charset=utf-8,${csvfile}" class="btn btn-default active">CSV</a>
			</li>
			</c:when></c:choose>
		</ul>

	<div class="panel panel-default">
	<div class="panel-heading">
		<p style="font-weight:bold;">IP Statistics</p>
	</div>
	<div class="panel-body">

		<c:choose>
		<c:when test="${njobs == 0}">
			<p>No IP with at least ${counter} jobs ever launched found</p>
		</c:when>
		<c:otherwise>
			<p>${njobs} IP with at least ${counter} jobs ever launched</p>
			<div class="table-responsive">
			<table class="table table-striped table-hover table-bordered" id="counts">
			<thead>
				<tr>
					<th style="text-align: centre">Number of jobs</th>
					<th style="text-align: left">IP</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${results}" var="res">
					<tr>
						<td>${res.totaljobs}</td>
						<td><a title="Click to view other jobs" href="${ipquery}?ip=${res.name}&Search=Search">${res.name}</a></td>
					</tr>
				</c:forEach>
			</tbody>
			</table>
			</div>
		</c:otherwise>
		</c:choose>

	</div>
	</div>

		<jsp:include page="../fragments/footer.jsp" />
	</div>
</body>
</html>